version: "3.7"

# Services
services:
  # OLIP API
  olip-api:
    env_file: .env
    volumes:
      - ${PWD}/olip-api/:/opt/api/
    image: local-live-olip-api:latest
    build:
      context: ./olip-api
      dockerfile: Dockerfile-dev
      args:
        ARCH: ${ARCH}

  # OLIP dashboard
  olip-dashboard:
    env_file: .env
    volumes:
      - ${PWD}/olip-dashboard/src:/opt/build/src
    image: local-live-olip-dashboard:latest
    build:
      context: ./olip-dashboard
      dockerfile: Dockerfile-dev
      args:
        ARCH: ${ARCH}
    ports:
      - "8080:8082"
    command: ["quasar", "dev"]
